
Foreman - Bug #4022

Puppetrun through the API is a GET instead of a PUT

01/15/2014 12:45 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

http://theforeman.org/api_v2.html wrote:

GET /api/hosts/:id/puppetrun     Force a puppet run on the agent.

 According to REST a GET shouldn't modify anything so it should be a PUT. I haven't investigated if it's a documetation error or an

actual bug.

Associated revisions

Revision bc11c17b - 01/17/2014 11:23 AM - Ewoud Kohl van Wijngaarden

Fixes #4022: Make api puppetrun a PUT for REST standards

Revision da95bc60 - 01/20/2014 07:09 PM - Ewoud Kohl van Wijngaarden

Fixes #4022: Make api puppetrun a PUT for REST standards

(cherry picked from commit bc11c17bcc66fbec3a71be920efa4de32d508ecb)

History

#1 - 01/15/2014 12:45 PM - Dominic Cleal

- Category set to API

#2 - 01/16/2014 04:56 PM - Ewoud Kohl van Wijngaarden

I can't set it to ready for testing, but I think https://github.com/theforeman/foreman/pull/1162 fixes it.

#3 - 01/16/2014 05:11 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Target version set to 1.9.2

Fixed your account too :)

#4 - 01/17/2014 11:24 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#5 - 01/17/2014 12:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bc11c17bcc66fbec3a71be920efa4de32d508ecb.
